Redmine - Defect #3298

When updating an issue, clicking a link destroys all my input
2009-05-05 23:12 - Sam Goldstein

Status: Closed Start date: 2009-05-05
Priority: High Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate Affected version: 0.8.1
Description

This occasionally drives me crazy.

When updating an issue | type a detailed comment in the textarea. | need to check something so | click a link to an attached file or
another ticket. Since the update form is loaded through an AJAX request hitting back in my browser means that all of my input is
destroyed (and not preserved by the browser).

It would be great if there was some mechanism in place to prevent dummies like me from doing this repeatedly. Perhaps a Gmail
style, "You've edit this page, are you sure you want to leave it" JS, or loading the update form through a conventional (non-Ajax)
request, so that browsers preserve the form fields.

Thanks for the great system.

Related issues:
Is duplicate of Redmine - Feature #2910: Warning on leaving edited issue/wiki... Closed 2009-03-05

History

#1 - 2009-05-06 12:37 - Thomas Pihl

Shouldnt really be a defect, should it? It works as intended. If you think it should be enhanced i"d guess it should be a feature request.

T

#2 - 2009-09-20 11:48 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to Duplicate

See #2910.

2025-05-02 1/1



https://www.redmine.org/issues/2910
